
QGIS Application - Bug report #847

delimited text import plugin skips the first input point

2007-12-03 03:24 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10906

Description

Try the attached text file, using space for delimiter. All 8 points are displayed in the "Example text" box when setting up the import, but only

7 are actually imported - the first one is skipped.

History

#1 - 2007-12-03 04:19 AM - Jürgen Fischer

The first line is expected to carry column titles not data.  I quite sure I saw that documented somewhere, when I worked on the german translation.  But I

can't seem to find it now.  This probably needs to be at a more prominent place.

#2 - 2007-12-03 08:26 PM - Gary Sherman

First row must be a header row. This is documented on the user guide.

Since we are in string freeze, no changes will be made to the dialog itself until after the 0.9.1 release.

#3 - 2007-12-07 09:10 PM - Gavin Macaulay -

- Status changed from Open to In Progress

#4 - 2007-12-15 08:11 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from In Progress to Closed

Documentation altered in commit:e22b29c3 (SVN r7794) to make the need for a header row clearer.

#5 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted

Files

utm.csv 232 Bytes 2007-12-03 Maciej Sieczka -
